Gönderen Konu: [Çözüldü] Mono İle İlgili Güncelleme Sorunu - Sub-process /usr/bin/dpkg returned an error  (Okunma sayısı 475 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı az1986

  • Yeni Penguen
  • *
  • İleti: 46
    • az198608
  • Dağıtım: Linux Mint 19.1, Deepin 15.9
  • Masaüstü: Cinnamon 4.0, DDE 15.9
  • Grafik Kartı: Nvida 525m
  • İşlemci: İntel Core i5
Linux Mint 19.1 kullanıyorum

Güncelleme yaparken böyle sorunla karşılaşıyorum.




Uç birim yazıları 3000 karakteri geçtiği için kodları burada paylaşamıyorum!

Uç brimden aldığım satırlar bu linkde
http://dosya.co/iu3e6v5egwdq/terminal_kod.doc.html


Şimdiden teşekürler.


Düzenleme: Konu başlığı
« Son Düzenleme: 11 Mart 2019, 15:09:00 Gönderen: az1986 »

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16939
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.2 & LMDE 3
  • Masaüstü: Cinnamon 4.2 & Mate 1.22
Ynt: Güncelleme yaparken böyle sorunla karşılatım?
« Yanıtla #1 : 07 Mart 2019, 11:55:36 »
Lütfen aşağıdaki bağlantıdaki komutların çıktılarını foruma aktarınız.

Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı az1986

  • Yeni Penguen
  • *
  • İleti: 46
    • az198608
  • Dağıtım: Linux Mint 19.1, Deepin 15.9
  • Masaüstü: Cinnamon 4.0, DDE 15.9
  • Grafik Kartı: Nvida 525m
  • İşlemci: İntel Core i5
Ynt: Güncelleme yaparken böyle sorunla karşılatım?
« Yanıtla #2 : 07 Mart 2019, 14:20:51 »
Kod: [Seç]
mustafa[member=238]mustafa[/member]-desktop ~ $ inxi -Sr
System:
  Host: mustafa-desktop Kernel: 4.15.0-46-generic x86_64 bits: 64
  Desktop: Cinnamon 4.0.9 Distro: Linux Mint 19.1 Tessa
Repos:
  Active apt repos in: /etc/apt/sources.list.d/leaeasy-dde-bionic.list
  1: deb http://ppa.launchpad.net/leaeasy/dde/ubuntu bionic main
  2: deb-src http://ppa.launchpad.net/leaeasy/dde/ubuntu bionic main
  No active apt repos in: /etc/apt/sources.list.d/mono-official-stable.list
  Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list
  1: deb http://packages.linuxmint.com tessa main upstream import backport #id:linuxmint_main
  2: deb http://archive.ubuntu.com/ubuntu bionic main restricted universe multiverse
  3: deb http://archive.ubuntu.com/ubuntu bionic-updates main restricted universe multiverse
  4: deb http://archive.ubuntu.com/ubuntu bionic-backports main restricted universe multiverse
  5: deb http://security.ubuntu.com/ubuntu/ bionic-security main restricted universe multiverse
  6: deb http://archive.canonical.com/ubuntu/ bionic partner

Kod: [Seç]
mustafa[member=238]mustafa[/member]-desktop ~ $ sudo apt-get update
[sudo] password for mustafa:       
Aynı:  1 http://ppa.launchpad.net/leaeasy/dde/ubuntu bionic InRelease
Aynı:  2 http://security.ubuntu.com/ubuntu bionic-security InRelease           
Aynı:  3 http://archive.ubuntu.com/ubuntu bionic InRelease                     
Aynı:  4 http://archive.canonical.com/ubuntu bionic InRelease                 
Aynı:  5 http://archive.ubuntu.com/ubuntu bionic-updates InRelease             
Yoksay:6 http://packages.linuxmint.com tessa InRelease                       
İndir: 7 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]
Aynı:  8 http://packages.linuxmint.com tessa Release                           
2 sn.'de 74,6 kB alındı (36,2 kB/s)                           
Paket listeleri okunuyor... Bitti

sudo apt-get install -f kodun çıktısı 3000 karakterden fazla olduğu için aşağıdakı belgede

http://dosya.co/dro0oy83smfo/terminal_çıktı.doc.html
« Son Düzenleme: 07 Mart 2019, 14:27:02 Gönderen: az1986 »

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16939
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.2 & LMDE 3
  • Masaüstü: Cinnamon 4.2 & Mate 1.22
Ynt: Güncelleme yaparken böyle sorunla karşılatım?
« Yanıtla #3 : 07 Mart 2019, 14:33:58 »
Son komutun çıktısını buraya yapıştırabilirsiniz. Sistemime mümkün olduğunca dışarıdan dosya indirmiyorum.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı az1986

  • Yeni Penguen
  • *
  • İleti: 46
    • az198608
  • Dağıtım: Linux Mint 19.1, Deepin 15.9
  • Masaüstü: Cinnamon 4.0, DDE 15.9
  • Grafik Kartı: Nvida 525m
  • İşlemci: İntel Core i5
Ynt: Güncelleme yaparken böyle sorunla karşılatım?
« Yanıtla #4 : 07 Mart 2019, 14:37:39 »
Son komutun çıktısını buraya yapıştırabilirsiniz. Sistemime mümkün olduğunca dışarıdan dosya indirmiyorum.
https://paste2.org/KCDpMW7G

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16939
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.2 & LMDE 3
  • Masaüstü: Cinnamon 4.2 & Mate 1.22
Ynt: Güncelleme yaparken böyle sorunla karşılatım?
« Yanıtla #5 : 07 Mart 2019, 14:44:48 »
Mono deposunu ekleyip bir şeyler kurmuşsunuz sanırım, sonra depoyu pasifleştirmişsiniz. Sorun bu depodan kaynaklı bağımlılıklar gibi duruyor. Depoyu Yazılım Kaynaklarından etkinleştirip, ardından aşağıdaki komutları yeniden çalıştırınız.

Kod: [Seç]
apt update
apt install -f
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı az1986

  • Yeni Penguen
  • *
  • İleti: 46
    • az198608
  • Dağıtım: Linux Mint 19.1, Deepin 15.9
  • Masaüstü: Cinnamon 4.0, DDE 15.9
  • Grafik Kartı: Nvida 525m
  • İşlemci: İntel Core i5
Ynt: Güncelleme yaparken böyle sorunla karşılatım?
« Yanıtla #6 : 07 Mart 2019, 14:49:27 »
Mono deposunu ekleyip bir şeyler kurmuşsunuz sanırım, sonra depoyu pasifleştirmişsiniz. Sorun bu depodan kaynaklı bağımlılıklar gibi duruyor. Depoyu Yazılım Kaynaklarından etkinleştirip, ardından aşağıdaki komutları yeniden çalıştırınız.

Kod: [Seç]
apt update
apt install -f

https://paste2.org/W3eJDCtw

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16939
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.2 & LMDE 3
  • Masaüstü: Cinnamon 4.2 & Mate 1.22
Aşağıdaki komutların çıktılarına bakalım.

Kod: [Seç]
apt policy mono-gac
apt depends mono-gac

Bu sorun mono ile ilgili harici depoyu ekledikten sonra mı oldu?


Bir de konu başlığının konu içeriğini özetler biçimde olmasına özen gösterelim. "Güncelleme yaparken böyle sorunla karşılatım" yerine "Mono İle İlgili Güncelleme Sorunu - Sub-process /usr/bin/dpkg returned an error" şeklinde belirleyici bir başlık kullanmak daha uygun olacaktır. Konu açarken dikkat edilmesi gerekenler ile ilgili konumuzu inceleyebilirsiniz.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı az1986

  • Yeni Penguen
  • *
  • İleti: 46
    • az198608
  • Dağıtım: Linux Mint 19.1, Deepin 15.9
  • Masaüstü: Cinnamon 4.0, DDE 15.9
  • Grafik Kartı: Nvida 525m
  • İşlemci: İntel Core i5
Aşağıdaki komutların çıktılarına bakalım.

Kod: [Seç]
apt policy mono-gac
apt depends mono-gac

Bu sorun mono ile ilgili harici depoyu ekledikten sonra mı oldu?


Bir de konu başlığının konu içeriğini özetler biçimde olmasına özen gösterelim. "Güncelleme yaparken böyle sorunla karşılatım" yerine "Mono İle İlgili Güncelleme Sorunu - Sub-process /usr/bin/dpkg returned an error" şeklinde belirleyici bir başlık kullanmak daha uygun olacaktır. Konu açarken dikkat edilmesi gerekenler ile ilgili konumuzu inceleyebilirsiniz.


Kod: [Seç]
mustafa[member=238]mustafa[/member]-desktop ~ $ apt policy mono-gac
mono-gac:
  Kurulu: 5.18.0.268-0xamarin7+ubuntu1804b1
  Aday:   5.18.0.268-0xamarin7+ubuntu1804b1
  Sürüm çizelgesi:
 *** 5.18.0.268-0xamarin7+ubuntu1804b1 500
        500 https://download.mono-project.com/repo/ubuntu stable-bionic/main amd64 Packages
        500 https://download.mono-project.com/repo/ubuntu stable-bionic/main i386 Packages
        100 /var/lib/dpkg/status
     4.6.2.7+dfsg-1ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
        500 http://archive.ubuntu.com/ubuntu bionic/universe i386 Packages

Kod: [Seç]
mustafa[member=238]mustafa[/member]-desktop ~ $ apt depends mono-gac
mono-gac
  Bağımlılıklar: mono-4.0-gac
mustafa[member=238]mustafa[/member]-desktop ~ $

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16939
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.2 & LMDE 3
  • Masaüstü: Cinnamon 4.2 & Mate 1.22
Alıntı
Bu sorun mono ile ilgili harici depoyu ekledikten sonra mı oldu?
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı az1986

  • Yeni Penguen
  • *
  • İleti: 46
    • az198608
  • Dağıtım: Linux Mint 19.1, Deepin 15.9
  • Masaüstü: Cinnamon 4.0, DDE 15.9
  • Grafik Kartı: Nvida 525m
  • İşlemci: İntel Core i5

Hayır Mono paketini bir ay önce eklemişdim. mononun son güncellemesinden sonra oldu. sorunu çözmek için ek depolar kısmından monunu kaldırmama rağmen sorunu çözülmedi. mono paket listesini nasıl sile bilirim acaba?

Son olarak güncelemede aşağıdakı hatanı verdi
Kod: [Seç]
E: mono-gac: installed mono-gac package post-installation script subprocess returned error exit status 3
E: mono-runtime-common: bağımlılık sorunları - yapılandırılmadan bırakılıyor

https://paste2.org/nwnGd9BK

« Son Düzenleme: 11 Mart 2019, 08:38:45 Gönderen: az1986 »

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16939
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.2 & LMDE 3
  • Masaüstü: Cinnamon 4.2 & Mate 1.22
Şunu demek istiyorum, önce mono paketlerini normal/resmi depodan kurup, ardından 3. parti bir depo mu eklediniz. Bu güncelleme sonradan eklediğiniz depodan mı geldi. Yoksa ilk kurulumu da bu 3. parti depodan mı yaptınız.

3. parti depoyu yeniden etkinleştirip, aşağıdaki komutlarla sorunu çözmemeyi deneyebilirsiniz. apt komutunda başa sudo yazmanıza gerek yok, yönetici şifresini otomatik istiyor.

Kod: [Seç]
apt update
LC_ALL=C apt install -f
apt dist-upgrade
LC_ALL=C apt install -f
« Son Düzenleme: 11 Mart 2019, 13:53:22 Gönderen: Butterfly »
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı az1986

  • Yeni Penguen
  • *
  • İleti: 46
    • az198608
  • Dağıtım: Linux Mint 19.1, Deepin 15.9
  • Masaüstü: Cinnamon 4.0, DDE 15.9
  • Grafik Kartı: Nvida 525m
  • İşlemci: İntel Core i5
Şunu demek istiyorum, önce mono paketlerini normal/resmi depodan kurup, ardından 3. parti bir depo mu eklediniz. Bu güncelleme sonradan eklediğiniz depodan mı geldi. Yoksa ilk kurulumu da bu 3. parti depodan mı yaptınız.

3. parti depoyu yeniden etkinleştirip, aşağıdaki komutlarla sorunu çözmemeyi deneyebilirsiniz. apt komutunda başa sudo yazmanıza gerek yok, yönetici şifresini otomatik istiyor.

Kod: [Seç]
apt update
LC_ALL=C apt install -f
apt dist-upgrade
LC_ALL=C apt install -f

3. parti siteden kurdum mononu. galiba monun resmi sitesinden paket kodlarını yükledim

verdiyiniz çıktılar aynı sorunu gösteriyor

https://paste2.org/E0yDeH5n
« Son Düzenleme: 11 Mart 2019, 14:16:30 Gönderen: az1986 »

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16939
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.2 & LMDE 3
  • Masaüstü: Cinnamon 4.2 & Mate 1.22
3. parti/harici depodan kurduysanız, bu depoyu kaldırınca sorun kesinlikle çözülmez, çünkü olası bağımlılıklar ilgili depoda. Yukarıdaki önerimi deneyin.

Eğer 3. parti depoyu kaldırmak istiyorsanız, mono ile ilgili bu depodan kurulu tüm paketleri kaldırmanız gerekir. Sonra resmi depodaki sürümü kurabilirsiniz. Ama resmi depodaki sürüm daha eski olsa gerek.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı az1986

  • Yeni Penguen
  • *
  • İleti: 46
    • az198608
  • Dağıtım: Linux Mint 19.1, Deepin 15.9
  • Masaüstü: Cinnamon 4.0, DDE 15.9
  • Grafik Kartı: Nvida 525m
  • İşlemci: İntel Core i5
3. parti/harici depodan kurduysanız, bu depoyu kaldırınca sorun kesinlikle çözülmez, çünkü olası bağımlılıklar ilgili depoda. Yukarıdaki önerimi deneyin.

Eğer 3. parti depoyu kaldırmak istiyorsanız, mono ile ilgili bu depodan kurulu tüm paketleri kaldırmanız gerekir. Sonra resmi depodaki sürümü kurabilirsiniz. Ama resmi depodaki sürüm daha eski olsa gerek.

peki nasıl kaldıra bilirim mono-yu? Synaptic paket yöneticisi ile libmono diye aratdırdım. yüklü olan libmono paketlerini kaldırsam mono silinirmi bilgisayardan?
« Son Düzenleme: 11 Mart 2019, 14:29:08 Gönderen: az1986 »